.step10
    YuriHeader(
        title="Nueva cuenta"
        tag="Quiero invertir"
    )

    b-row.justify-content-center(v-if="!addIntervener && !operationsType")
        b-col(cols="12" lg="11" xl="9")
            .l-subtitle Seleccione el tipo de producto
            .px-3.pt-4
                b-row
                    b-col(cols="12" md="4")
                        .e-btn(
                            :class="operationsType === 'FI' ? 'e-btn__brand' : 'e-btn__secondary'"
                            @click="handleOperationsTypeSelection('FI')"
                        ) Fondo de inversión
                    b-col(cols="12" md="4")
                        .e-btn(
                            :title="isPPDisabled ? PPDisabledReason : ''"
                            :class="[isPPDisabled ? 'disabled' : '', (operationsType === 'PP' || isPPDisabled) ? 'e-btn__brand' : 'e-btn__secondary']"
                            @click="!isPPDisabled && handleOperationsTypeSelection('PP')"
                        ) Plan de pensiones
                    b-col(cols="12" md="4")
                        .e-btn(
                            :title="isPPDisabled ? PPDisabledReason : ''"
                            :class="[isPPDisabled ? 'disabled' : '', (operationsType === 'all' || isPPDisabled) ? 'e-btn__brand' : 'e-btn__secondary']"
                            @click="!isPPDisabled && handleOperationsTypeSelection('all')"
                        ) Ambas

    b-row.mt-5.justify-content-center(v-if="operationsType")
        b-col(v-if="!addIntervener" cols="12" lg="11" xl="9")
            b-alert(v-if="warningMessage" show variant="warning") {{warningMessage}}
            b-row
                b-col(cols="12")
                    .l-subtitle Intervinientes principales
                    .px-3.pt-4
                        RowIntervener(
                            :isJuridicalEntity="isJuridicalEntity"
                            :interveners="mainInterveners"
                            :intervener="intervener"
                            v-for="(intervener, index) in mainInterveners"
                            :key="index"
                            :index="index"
                            :rolesOptions="mainRoles"
                            :lead_uuid="lead_uuid"
                            :isSecondaryTable="false"
                        )
                    .d-flex(v-if="!isJuridicalEntity")
                        span(
                            class="e-btn e-btn__brand"
                            @click="addIntervener = true"
                        ) Añadir otro interviniente

        b-col.mt-4(v-if="!addIntervener && operationsType" cols="12" lg="11" xl="9")
            b-row
                b-col(cols="12")
                    .l-subtitle Intervinientes secundarios
                    .px-3.pt-4
                        RowIntervener(
                            :isJuridicalEntity="isJuridicalEntity"
                            :interveners="secondaryInterveners"
                            :intervener="intervener"
                            v-for="(intervener, index) in secondaryInterveners"
                            :key="index"
                            :index="index"
                            :rolesOptions="filteredSecondaryRoles"
                            :lead_uuid="lead_uuid"
                            :isSecondaryTable="true"
                        )
                    .d-flex
                        span(
                            class="e-btn e-btn__brand"
                            @click="addIntervener = true; addSecondaryIntervener = true"
                        ) Añadir otro interviniente


            b-row.mt-5
                b-col(cols="12")
                    .l-subtitle Elegir tipo de firma
                    b-row.px-3.pt-4
                        b-col(cols="12" col lg="4")
                            b-form-radio(
                                value="INDISTINTA"
                                v-model="signatureType"
                            ) Indistinta

                        b-col(cols="12" col lg="4")
                            b-form-radio(
                                value="MANCOMUNADA"
                                v-model="signatureType"
                            ) Conjunta/Mancomunada

                        b-col(cols="12" col lg="4")
                            b-form-radio(
                                value="MANCOMUNADA_ESPECIAL"
                                v-model="signatureType"
                            ) Mancomunada especial/con restricciones

            b-row.mt-5(v-if="signatureType === 'MANCOMUNADA_ESPECIAL'")
                b-col(cols="12")
                    .l-subtitle Elegir intervinientes
                    b-row.px-3.pt-4
                        b-col(cols="12")
                            b-form-checkbox(
                                v-for="(intervener, intervenerIndex) in interveners"
                                :key="intervenerIndex"
                                :value="true"
                                :unchecked-value="false"
                                v-model="interveners[intervenerIndex].is_signature_required"
                            ) {{ intervener.name }} {{ intervener.lastname_1 }} {{ intervener.lastname_2 }}

            .d-flex.justify-content-end.mt-5
                span(
                    :class="!isFormValid ? 'disabled' : ''"
                    class="e-btn e-btn__brand"
                    @click="handleNext()"
                ) Continuar

        b-col(v-else cols="12" lg="11" xl="9")
            .l-subtitle ¿Es cliente de Cobas?
            b-row.px-3.pt-4
                b-col(cols="12" col md="6" lg="4")
                    b-form-radio(
                        :value="true"
                        v-model="showLogin"
                    ) Sí, es cliente de Cobas

                b-col.mt-3.mt-md-0(cols="12" col md="6" lg="4")
                    b-form-radio(
                        :value="false"
                        v-model="showLogin"
                    ) No, es nuevo

            ValidationObserver(v-if="showLogin" v-slot="{ valid }")
                .l-subtitle.mt-5 Introduce sus credenciales
                b-form(autocomplete="off")
                    b-row.px-3.pt-4
                        b-col(cols="12" md="6" lg="4")
                            label.form__label
                                | Usuario *
                            ValidationProvider(name="username" v-slot="{ errors }" rules="required|email")
                                b-form-input(
                                    autocomplete="off"
                                    v-model="username"
                                )
                                .form__error {{ errors[0] }}
                        b-col(cols="12" md="6" lg="4")
                            label.form__label
                                | Contraseña *
                            ValidationProvider(name="password" v-slot="{ errors }" rules="required|min:3")
                                b-form-input(
                                    autocomplete="off"
                                    v-model="password"
                                    type="password"
                                )
                                .form__error {{ errors[0] }}
                    .d-flex.flex-column.flex-md-row.justify-content-end.mt-5.mt-md-4
                        span.mr-md-2(
                            class="e-btn e-btn__secondary"
                            @click="handleCancel"
                        ) Cancelar
                        span.mt-3.mt-md-0(
                            :class="!valid ? 'disabled' : ''"
                            class="e-btn e-btn__brand"
                            @click="handleLogin(valid)"
                        )
                            span(v-if="!loading") Añadir interviniente
                            i.fas.fa-circle-notch.fa-spin(v-else)

            .d-flex.flex-column.flex-md-row.justify-content-end.mt-5.mt-md-4(v-else)
                span.mr-md-2(
                    class="e-btn e-btn__secondary"
                    @click="handleCancel"
                ) Cancelar
                RouterLink.mt-3.mt-md-0(
                    :to="addSecondaryIntervener ? '/paso5?secondary=true' : '/paso5'"
                    class="e-btn e-btn__brand"
                ) Añadir nuevo interviniente